Introduction

Using the WinCddbM Utility you can

  • play existing music-files on CDs,
  • save them into WAV-files, play WAV-files,
  • convert WAV-files into MP3-files, play MP3-files,
  • edit existing directories containing WAV-files and MP3-files,
  • store the names of CDs and names of music-files into a local database,
  • and search the local database for CDs and music-files.

During creation of WAV-files from music-CDs information about the CD and the individual music-tracks can be read from an existing database contained in the internet and can be setup into the filename of the WAV-files.

Existing programs for burning CDs can use this information to enrich the newly burned CD with a table of contents.

Restrictions for using this software are shown in the Disclaimer. Especially WAV-files can not be converted into MP3-files, because a special licence for creation of MP3-files is necessary.

This short introduction describes the functional range of WinCddbM to enable your efficient usage of this application.

Next topic

  • the program surface
up up


Main Window

The WinCddbM Main Window consists of four elements. Contained in this Main Window are:

  • the Titlebar
  • the Menuebar
  • the Toolbar
  • the Statusbar

    WinCddbM has three application windows for displaying the contents.

    The first application Window is the Window for displaying the contents of an opened CD.

    The second application Window is the Window for displaying the contents of an opened existing directory.

    The third application Window contains search functions for searching the local database.

    • Next topics

    • the Titlebar
    • the Menuebar
    • the Toolbar
    • the Application window for displaying the contents of a CD
    • the Application window for displaying the contents of a directory
    • the Application window for searching the contents of the local database
    • the Statusbar


Titlebar

The Titlebar contains the name of the drive-letter of the opened CD in the active window. On the ride side there are the Standard- Windows-Buttons for Minimizing, Maximizing and Closing the application.

The Minimize-Button is working different than in other Windows-Applications. Pressing the "Minimize" Button does not minimize the application into the Windows-Taskbar, it removes the application from the Windows-Taskbar and adds a new Icon into the System-Tray. It can be used to restore the application by a double-click, and it displays a context-menue by a right-click,

which allows the restore of the application or the termination of the application.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbar
  • the Application window for displaying the contents of a CD
  • the Application window for displaying the contents of a directory
  • the Application window for searching the contents of the local database


Menuebar

The Menuebar contains the active functions of the window. On the ride side there are the Standard- Windows-Buttons for Minimizing, Maximizing und Closing of the application-window.

The Menuebar together with the Toolbar contain all available functions of the application-window.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbar
  • the Application window for displaying the contents of a CD
  • the Application window for displaying the contents of a directory
  • the Application window for searching the contents of the local database


Toolbar

The Toolbars contain the functions of the active application window.

The Menuebar together with the Toolbar contain all available functions of the respective application-window.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbar
  • the Application window for displaying the contents of a CD
  • the Application window for displaying the contents of a directory
  • the Application window for searching the contents of the local database


Toolbar in Application Window 1

The Toolbar contains the functions of the active application window.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbar
  • the Application window for displaying the contents of a CD
  • the Application window for displaying the contents of a directory
  • the Application window for searching the contents of the local database


Toolbar in Application Window 2

The Toolbar contains the functions of the active application window.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbar
  • the Application window for displaying the contents of a CD
  • the Application window for displaying the contents of a directory
  • the Application window for searching the contents of the local database


Toolbar in Application Window 3

The Toolbar contains the functions of the active application window.

The toolbar contains an input field for entering the directory which contains the music-files.

A click on the input field opens the Dialog 'Select Directory', which can be used for selecting the directory containing the music files.

The directory selected here is not necessarily the same as in the 'Options', 'Program Options', Tab 'Music' dialog (refer to 'Options', 'Program Options', Tab 'Music'). This is useful in the case, where newly created wav- and mp3-files are created in a different location; a complete archive of music-files can be stored on a e.g. external disk, which may be connected to the computer via an USB connection, which is not permanently available.

For creation of filenames the selected filename mask contained in the Dialog 'Options', 'Program Options', Tab 'Filename Mask' will be used (refer to 'Options', 'Program Options', Tab 'Filename Mask').

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbar
  • the Application window for displaying the contents of a CD
  • the Application window for displaying the contents of a directory
  • the Application window for searching the contents of the local database


Application Window

The application window is the window for displaying the contents of an opened CD.

The application window has four areas:

  • top left the header information for the selected CD
  • bottom left the track information for the selected CD
  • top right the header information of the internet database for the selected CD
  • bottom right the track information of the internet database for the selected CD

Tracks can be marked and selected in the track information window for the selected CD (bottom left).

Columns 'Wav' and 'Mp3' contain an indicator for showing the existence of a corresponding WAV-file or MP3-file resp.

Columns 'Title', 'Artist' and 'Album' contain the information for the individual tracks.

Column 'Play Time' contains the playing time of the individual tracks.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbar
  • the Application window for displaying the contents of a CD
  • the Application window for displaying the contents of a directory
  • the Application window for searching the contents of the local database
  • the context menue in the Application window


Context menue of application window 1

The right mouse button may be used for displaying the context menue.

If the mouse cursor is positioned on one of the displayed entries of the CD or the selected directory (in the application window bottom left) the context menue is displayed by pressing the right mouse button.

Depending on the existence of WAV-files or MP3-files there are several options available from the context menue.

Delete Wav File | an existing WAV-file will be deleted and move into the tray.
Delete Mp3 File | an existing MP3-file will be deleted and move into the tray
Show ID3 Tags | Dialog "ID3 Tags" is displayed, which may be used for showing existing ID3-Tags, for deleting existing ID3-Tags or adding new ID3-Tags to the file.

The "ID3 Tags" dialog displays existing ID3-Tags and allows for deletion of existing ID3-Tags or adding new ID3-Tags to the file.

  • During display of the dialog, existing ID3-Tags are displayed. If ID3-Tags exist, the checkbox "ID3v1 present" is active and checked. In this case the existing information in the input-fields can be overridden. Pressing the "Write ID3"-button stores the information into the MP3-file.
  • If ID3-Tags exist, the checkbox "ID3v1 present" is active and checked. In this case the existing information can be deleted by pressing the "Clear ID3"-button.
  • If ID3-Tags do not exist, the checkbox "ID3v1 present" is not checked. In this case the checkbox can be checked and information in the input-fields can be entered. Pressing the "Write ID3"-button stores the information into the MP3-file.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbar
  • the Application window for displaying the contents of a CD
  • the Application window for displaying the contents of a directory
  • the Application window for searching the contents of the local database
  • the context menue in the Application window


Application Window

The application window is the window for displaying the contents of an opened existing directory.

The application window has one area:

  • the track information of the opened directory

Tracks can be marked and selected in the track information window.

Columns 'Wav' and 'Mp3' contain an indicator for showing the existence of a corresponding WAV-file or MP3-file resp.

Columns 'Title' contains the filename for the individual tracks.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbar
  • the Application window for displaying the contents of a CD
  • the Application window for displaying the contents of a directory
  • the Application window for searching the contents of the local database
  • the context menue in the Application window


Context menue of application window 2

The right mouse button may be used for displaying the context menue.

If the mouse cursor is positioned on one of the displayed entries of the selected directory the context menue is displayed by pressing the right mouse button.

Depending on the existence of WAV-files or MP3-files there are several options available from the context menue.

Delete Wav File | an existing WAV-file will be deleted and move into the tray.
Delete Mp3 File | an existing MP3-file will be deleted and move into the tray
Show ID3 Tags | Dialog "ID3 Tags" is displayed, which may be used for showing existing ID3-Tags, for deleting existing ID3-Tags or adding new ID3-Tags to the file.

The "ID3 Tags" dialog displays existing ID3-Tags and allows for deletion of existing ID3-Tags or adding new ID3-Tags to the file.

  • During display of the dialog, existing ID3-Tags are displayed. If ID3-Tags exist, the checkbox "ID3v1 present" is active and checked. In this case the existing information in the input-fields can be overridden. Pressing the "Write ID3"-button stores the information into the MP3-file.
  • If ID3-Tags exist, the checkbox "ID3v1 present" is active and checked. In this case the existing information can be deleted by pressing the "Clear ID3"-button.
  • If ID3-Tags do not exist, the checkbox "ID3v1 present" is not checked. In this case the checkbox can be checked and information in the input-fields can be entered. Pressing the "Write ID3"-button stores the information into the MP3-file.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbar
  • the Application window for displaying the contents of a CD
  • the Application window for displaying the contents of a directory
  • the Application window for searching the contents of the local database
  • the context menue in the Application window


Application Window

The application window contains fields for entering search criteria and displays the search results.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbar
  • the Application window for displaying the contents of a CD
  • the Application window for displaying the contents of a directory
  • the Application window for searching the contents of the local database
  • the context menue in the Application window


Statusbar

The Statusbar contains information about the application flow, information about the image format, a trackbar to show long running processes, and the current date and time.

  • the Statusbar contains an information block as the first part of the line. Within this information block messages are issued, which inform about successful or non-successful progress. Each message is labeled with one of these Icons: Information (information message), Warning (warning message) or Error (error message).
  • the second part of the line contains the trackbar.
  • the third part of the line contains the current date and time.

Information in the Statusbar are renewed, if a different application window is activated.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbar
  • the Application window for displaying the contents of a CD
  • the Application window for displaying the contents of a directory
  • the Application window for searching the contents of the local database


Menue File

Menue 'file' contains functions that can be used in the respective application window.

  • in Application window 1

  • in Application window 2

  • in Application window 3

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbar
  • the Application window for displaying the contents of a CD
  • the Application window for displaying the contents of a directory
  • the Application window for searching the contents of the local database


Load CD

Function 'Load CD' opens the CD, tries to read information about the CD from an internet database and shows the application window for displaying the contents of a CD.

In rare cases it can occur that several CDs are registered in the database using the same key (differentiating in some details). In this case a dialog will be displayed that allows to select the correct CD-information.

The function 'Load CD' is automatically executed, if this program is active and if a CD is inserted and the push loading drawer is locked.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbar
  • the Application window for displaying the contents of a CD
  • the Application window for displaying the contents of a directory
  • the Application window for searching the contents of the local database


Open Directory

Function 'Open Directory' opens an existing directory and shows the application window for displaying the contents of a directory.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbar
  • the Application window for displaying the contents of a CD
  • the Application window for displaying the contents of a directory
  • the Application window for searching the contents of the local database


Search local Database

Function 'Search local Database' opens a new application window which may be used for entering search criteria and is used for displaying the search results.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbar
  • the Application window for displaying the contents of a CD
  • the Application window for displaying the contents of a directory
  • the Application window for searching the contents of the local database


Preferences

Function 'Preferences' displays a dialog for setting access options for the internet-database which is used for displaying the CD contents.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbar
  • the Application window for displaying the contents of a CD
  • the Application window for displaying the contents of a directory
  • the Application window for searching the contents of the local database


Save DB Information into local Database

The information of the internet database, which is available for a CD, may be stored together with information of the CD into a local database.

Following data is stored about the CD:

  • the name of the artist
  • the name of the album
  • the genre of the CD
  • the year of the CD
  • the number of song
  • the total time of all songs of the CD
  • a comment for the CD
  • the date and time of storing this information

Following data is stored about the individual tracks of the CD:

  • the name of the song
  • the play time of the song
  • a comment for the song
  • the date and time of storing this information

After storing this information all data is available for searching the local database.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbar
  • the Application window for displaying the contents of a CD
  • the Application window for displaying the contents of a directory
  • the Application window for searching the contents of the local database
  • the context menue in the Application window


Search

The application window contains fields for entering search criteria and the display of the search results.

After completing the search criteria the search can be started via menue-function "Search" or via the toolbar-button "Search".

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbar
  • the Application window for displaying the contents of a CD
  • the Application window for displaying the contents of a directory
  • the Application window for searching the contents of the local database


Search criteria

In this application window the search criteria for the search in the local database will be entered in the upper part of the window.

Search criteria are organized in Tabs. Several search criteria can be specified, which have to be fulfilled in parallel, before an entry is added to the search results.

A mark in the checkbox "Not" allows for a negative selection of the search criteria, i.e. search criteria must not match before an entry is added to the search results.

In groupbox "Relation to Next" one of the radiobuttons "And" or "Or" is checked, so that the next tab will be immediately created and displayed.

To delete one of the tabs, the "Close" Button of the tab has to be clicked.

Up to 10 search criteria can be specified, i.e. there will be up to 10 tabs.

Each search criterium allows a restriction for search on text-fields or numeric fields. First you have to select the search-field in the listbox.

"Number of Tracks", "Total Time" and "Song Time" are numeric values, which can be searched via input in "Numeric Search". All other values are text values which can be searched via input in "Text Search".

In "Text Search" you can mark one of the radiobuttons "Part of Field", "Complete Field", "Beginning of Field" and "End of Field".

In "Numeric Search" you can mark "Equal", "Lower", "Greater" and "Between". Using the mark "Between" the search includes the border numbers. As soon as one of these marks is selected, field "Text Search" will be disabled. As soon as one of the marks "Equal", "Lower" and "Greater" is selected in "Numeric Search", the second part of the search field will be disabled in "Numeric Search".

As soon as the "Search" Button in the toolbar is active or the "Search" function in the menue is active, pressing this button processes the search. As an alternative you can press the "Enter"-key.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbar
  • the Application window for displaying the contents of a CD
  • the Application window for displaying the contents of a directory
  • the Application window for searching the contents of the local database


Search result

In this window the search results of the search in the local database will be displayed in the lower part of the window.

The display has two panes. The left pane displays the artists name and the name of the album as well as the number of songs and the total playtime of the album and the type of the album ('CD'). The right pane displays the songs of the album.

The pane on the right side contains the following results in the columns::

# | the track number of the song on the CD
DB# | the number of the song in the local database
Wav | a mark, whether this song is stored as a wav-file (in the selected directory of the toolbar) or not
Mp3 | a mark, whether this song is stored as a mp3-file (in the selected directory of the toolbar) or not
Song | the name of the song
Song Time | the play time of the song in format hours:minutes:seconds
Seconds | the play time of the song in number of seconds
Date | the date the entry was stored into the local database
Comment | a comment which was stored for the song in the local database

The window has the following input options:

  • In the left pane
    click | a click in a row scrolls the display in the right pane, such that the first song of the album is visible in a highlighted color.
    double click | a double click in a row adds the selected album with all songs of the album to the list contained in the WinPlayerM-menu

  • In the right pane
    click | a click in a row scrolls the display in the left pane, such that the album is visible.
    double click | a double click in a row adds the selected song to the list contained in the WinPlayerM-menu

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbar
  • the Application window for displaying the contents of a CD
  • the Application window for displaying the contents of a directory
  • the Application window for searching the contents of the local database


Print setup

'Print setup' allows the printer settings.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbar
  • the Application window for displaying the contents of a CD
  • the Application window for displaying the contents of a directory
  • the Application window for searching the contents of the local database


Print preview

'Print preview' displays a window showing the page in the way it is to be printed.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbar
  • the Application window for displaying the contents of a CD
  • the Application window for displaying the contents of a directory
  • the Application window for searching the contents of the local database


Print

'Print' allows to select the printer inside of the printer-dialog and then prints the page.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbar
  • the Application window for displaying the contents of a CD
  • the Application window for displaying the contents of a directory
  • the Application window for searching the contents of the local database


Close

'Close' closes the current application window.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbar
  • the Application window for displaying the contents of a CD
  • the Application window for displaying the contents of a directory
  • the Application window for searching the contents of the local database


Exit

'Exit' closes all open application windows and then terminates the application.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbar
  • the Application window for displaying the contents of a CD
  • the Application window for displaying the contents of a directory
  • the Application window for searching the contents of the local database


Menue Edit

Menue 'edit' contains functions that can be used in this application window.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbar
  • the Application window for displaying the contents of a CD
  • the Application window for displaying the contents of a directory
  • the Application window for searching the contents of the local database


Play CD

Function 'Play CD' is active only if a track is selected and marked in the CD-display.

The function name changes to 'Stop Playing CD' and can be used to stop playing.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbar
  • the Application window for displaying the contents of a CD
  • the Application window for displaying the contents of a directory
  • the Application window for searching the contents of the local database


Create WAV

Function 'Create WAV' is active only if a track is selected and marked in the CD-display.

In rare cases it can occur that a CD-drive is to fast and thus delivers wrong data (a WAV-File created from this drive has no longer the sound of the CD). In this case speed of the CD-drive can be reduced to single speed, in executing the SCSISpeed.exe utility after inserting the CD into the drive and before creating the WAV-file. (Single speed means that the CD-drive needs exactly that time for reading the title as the title to be read lasts.)

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbar
  • the Application window for displaying the contents of a CD
  • the Application window for displaying the contents of a directory
  • the Application window for searching the contents of the local database


Play WAV

Function 'Play WAV' is active only if a track is selected and marked in the CD-display, which has an accompanying WAV-file.

The function name changes to 'Stop Playing WAV' and can be used to stop playing.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbar
  • the Application window for displaying the contents of a CD
  • the Application window for displaying the contents of a directory
  • the Application window for searching the contents of the local database


Create MP3

Function 'Create MP3' is active only if a track is selected and marked in the CD-display, which has an accompanying WAV-file.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbar
  • the Application window for displaying the contents of a CD
  • the Application window for displaying the contents of a directory
  • the Application window for searching the contents of the local database


Play MP3

Function 'Play MP3' is active only if a track is selected and marked in the CD-display, which has an accompanying MP3-file.

The function name changes to 'Stop Playing MP3' and can be used to stop playing.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbar
  • the Application window for displaying the contents of a CD
  • the Application window for displaying the contents of a directory
  • the Application window for searching the contents of the local database


Stop

Function 'Stop' is active only if a track is selected and marked in the CD-display and one of the play functions is active.

'Stop' stops playing the current track, additional selected tracks will not be played.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbar
  • the Application window for displaying the contents of a CD
  • the Application window for displaying the contents of a directory
  • the Application window for searching the contents of the local database


Pause

Function 'Pause' is active only if a track is selected and marked in the CD-display and one of the play functions is active.

'Pause' stops playing the current track, the function name changes to 'Play'. Selecting 'Play' then restarts playing of the current track.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbar
  • the Application window for displaying the contents of a CD
  • the Application window for displaying the contents of a directory
  • the Application window for searching the contents of the local database


Next

Function 'Next' is active only if multiple tracks are selected and marked in the CD-display and one of the play functions is active.

'Next' stops playing the current track, the next selected track will be played.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbar
  • the Application window for displaying the contents of a CD
  • the Application window for displaying the contents of a directory
  • the Application window for searching the contents of the local database


Options

'Options' allows you to select and enter optional information.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbar
  • the Application window for displaying the contents of a CD
  • the Application window for displaying the contents of a directory
  • the Application window for searching the contents of the local database


Confirm File Operations

'Confirm File Operations' displays a menue which enables you to select an option that allows the confirmation for deleting files.

Related Topics

  • Confirm File Operations
  • Program Options
  • Program Licence
  • MP3 Configuration
  • Sound Options


Program Options

'Program Options' displays a dialog which enables you to select or modify various 'Program Options'.

Related Topics

  • Trace Options
  • Music Directory
  • Filename Mask
  • Characters
  • Database


Program Licencing

'Program Licencing' displays a dialog which enables you to licence the program.

Related Topics

  • Licence Data
  • Licencing
  • Licence Functions


MP3 Configuration

'MP3 Configuration' displays a menue which enables you to setup MP3 options to be used during creation of MP3 music files from the previously copied WAV-files.

Related Topics

  • Confirm File Operations
  • Program Options
  • Program Licence
  • MP3 Configuration
  • Sound Options


Sound Options

'Sound Options' displays a menue which enables you to setup options for playing a music-file.

Related Topics

  • Confirm File Operations
  • Program Options
  • Program Licence
  • MP3 Configuration
  • Sound Options


Window

'Window' allows you to arrange the open windows, the active window can be closed, or an open window can be activated.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbar
  • the Application window for displaying the contents of a CD
  • the Application window for displaying the contents of a directory
  • the Application window for searching the contents of the local database


Arrange

'Arrange' allows you to arrange the open windows.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbar
  • the Application window for displaying the contents of a CD
  • the Application window for displaying the contents of a directory
  • the Application window for searching the contents of the local database


Menü Window - Overlapping

Arranges the non-minimized windows overlapping.


Menü Window - Tile horizontal

Arranges the non-minimized windows horizontal.


Menü Window - Tile vertical

Arranges the non-minimized windows vertical.


Menü Window - Arrange symbols

Arranges the minimized windows from left to right in the main application window.


Open windows

'Open windows' contains all open windows in a list. The active window is marked. Selecting another open window sets the selected window as active window.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbar
  • the Application window for displaying the contents of a CD
  • the Application window for displaying the contents of a directory
  • the Application window for searching the contents of the local database


Language

'Language' allows you to display or change the active language of the program surface. A change in language may require a restart of the application to assure that all elements are displayed in the selected language.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbar
  • the Application window for displaying the contents of a CD
  • the Application window for displaying the contents of a directory
  • the Application window for searching the contents of the local database


Language English

'Language' allows you to display or change the active language of the program surface. A change in language may require a restart of the application to assure that all elements are displayed in the selected language.

Related Topics

  • Language English
  • Language German


Language German

'Language' allows you to display or change the active language of the program surface. A change in language may require a restart of the application to assure that all elements are displayed in the selected language.

Related Topics

  • Language English
  • Language German


Help

'Help' displays information about this application, this help and further information.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbar
  • the Application window for displaying the contents of a CD
  • the Application window for displaying the contents of a directory
  • the Application window for searching the contents of the local database


Export

Function 'Export' executes the search, displays the search results, and then saves the search results into an XML-file.
The filename has to be specified for saving the search results.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbar
  • the Application window for displaying the contents of a CD
  • the Application window for displaying the contents of a directory
  • the Application window for searching the contents of the local database


Licence Data

'Licence Data' is a dialog for entering information to enable you to licence the program.

Related Topics

  • Licence Data
  • Licencing
  • Licence Functions


Licence Functions

'Licence Functions' displays a dialog showing information about licenced functionds of the program.

Related Topics

  • Licence Data
  • Licencing
  • Licence Functions


Licencing

'Licencing' displays a dialog showing information to licence the program.

Related Topics

  • Licence Data
  • Licencing
  • Licence Functions


Program Options Characters

'Program Options Characters' displays a dialog which enables you to setup characters to be replaced by other characters before copying the music-files from CD.

Program Options Characters

If there is an invalid character contained in the name of a music-file, then it is replaced before copying to avoid invalid file-names, which would terminate the copy-process.

Field 'Original' contains these characters, that will be replaced during creation of a filename.

Field 'Replacement' contains the characters, which will be used for replacing the original characters.

The predefined default-value replaces the '/' character by a '-' character, because the '/' character is invalid for a filename.

The number of the original characters has to be the same number as the replacement characters.

Related Topics

  • Trace Options
  • Music Directory
  • Filename Mask
  • Characters
  • Database


Program Options Database

'Program Options Database' displays a dialog which enables you to modify 'Database Options'.

Program Options Database

The groupbox 'Database Type' allows the specification of the type of the active database.

  • As a default the 'MS Access' radio button is active. In this case button "Compact Database" is active, field "Database File" is active, and field "Database Name" is inactive.
  • As an alternative database 'MySQL' is available, if MySQL is installed on the PC and is activated. In this case button "Compact Database" is inactive, field "Database File" is inactive, and field "Database Name" is active.
  • As a further alternative database 'MS SQL Server' is available, if MS SQL Server is installed on the PC and is activated. In this case button "Compact Database" is inactive, field "Database File" is inactive, and field "Database Name" is active.

Field "Database File" contains the filename of the selected database-file, if 'MS Access' is selected as Database-Type.

Field "Database Name" contains the database-name of the selected database, if 'MySQL' or 'MS SQL Server' is selected as Database-Type.

The listbox contains messages of the status for the selected database.

Button "Create Database" is always active. Pressing this button checks the activity of the specified database-system and the existence of the specified database. If the specified database-system is active, the existence of the specified database is checked. If the specified database exists, a message is issued, whether the existing database should be deleted or not. If the deletion is confirmed, the specified database is deleted and a new, empty database is created.

Warning Existing information about already stored CDs will be lost in this case.

Button "Compact Database" is active only in the case, if 'MS Access' is selected as Database-Type. Pressing this button executes a compression process on the selected database-file. Compression makes sense, if after some time a lot of data records were added to the database, were deleted from the database or were updated in the database.

Related Topics

  • Trace Options
  • Music Directory
  • Filename Mask
  • Characters
  • Database


Program Options Filename Mask

'Program Options Filename Mask' displays a dialog which enables you to setup the naming conventions of the music files copied from CD.

Program Options Filename Mask

The Combobox 'Select Element to add to Filename Mask' displays a list of elements to be added to the filename mask.

%L | represents the name of the album
%N | represents the track number of the title
%T | represents the name of the title
%A | represents the name of the artist
%\ | represents a separator character for creation of a new directory
%- | represents a minus sign for creation of a new file name
%b | represents a blank sign for creation of a new file name

If representing characters are selected, they are added immediately to the characters of the field 'Filename Mask'.

The combobox 'Filename Mask' contains the selected characters for creating the filename. Predefined masks can be selected in the combobox 'Filename Mask' representing these options:

%L%\\%N%b%A%b%-%b%T | represents the name of the album as a directory, the track number of the title, a blank character, the name of the artist, a blank character, a minus sign, a blank character, the name of the title
%L%\\%A%b%-%b%T | represents the name of the album as a directory, the name of the artist, a blank character, a minus sign, a blank character, the name of the title
%L%\\%T | represents the name of the album as a directory, the name of the title
%L%\\%N%b%-%b%T | represents the name of the album as a directory, the track number of the title, a blank character, a minus sign, a blank character, the name of the title
%A%b%-%b%L%\\%N%b%-%b%T | represents the name of the artist, a blank character, a minus sign, a blank character and the name of the album as a directory, the track number of the title, a blank character, a minus sign, a blank character, the name of the title as filename

The button 'Reset to Default' sets the 'Filename Mask' to the first of the above mentioned values.

The button 'Clear Mask' sets the 'Filename Mask' to empty.

The groupbox 'Name usage' allows to set the information usage for building a filename.

  • 'use CD Names' uses the fields from the track information for the selected CD for creation of a filename
  • 'use DB Names' uses the fields from the track information from the internet database for creation of a filename
  • 'overwrite empty CD names by DB namea' uses the fields from the track information from the internet database for creation of a filename only if the CD does not contain any information

Related Topics

  • Trace Options
  • Music Directory
  • Filename Mask
  • Characters
  • Database


Program Options Music Directory

'Program Options Music Directory' displays a dialog which enables you to specify the directory for storing music-files copied from CD.

Program Options Music

In the 'Path for Wav- and Mp3-Files' textbox is contained the path-name for storing the Music-files. As a default, the standard music directory is used.

The button 'Select Directory' display the 'Directory Search' dialog, which is used to select the directory for storing the Music-files.

Related Topics

  • Trace Options
  • Music Directory
  • Filename Mask
  • Characters
  • Database


Program Options Trace

'Program Options Trace' displays a dialog which enables you to modify 'Trace Options'.

Program Options Trace

The 'Level' combobox allows to select the amount of Trace-messages to be written. The higher the level, the more messages will be written into the Trace-file. As a default the level is set to 'Level 0'.

In the 'Path for Trace-Files' textbox is contained the path-name for storing the Trace-files. As a default, the temporary directory is used.

The button 'Delete Files' deletes the existing Trace-files from the dselected directory.

The button 'Select Directory' display the 'Directory Search' dialog, which is used to select the directory for storing the Trace-files.

Related Topics

  • Trace Options
  • Music Directory
  • Filename Mask
  • Characters
  • Database